#include <iostream.h>

//  File:  BlowHeap.cpp  -  Demonstrate blowing the runtime heap

int main (void) {
    void Blowup (void);

    cout << "Starting Blowup - let's 'blow the runtime heap'" << endl
         << "This application is GUARANTEED to 'blow up'..."  << endl << endl;
    Blowup();
    return 0;
}

// Blowup iterates almost "forever"; it is GUARANTEED to "die"...

void Blowup (void)
{
    const int SIZE = 10000;
    for (long nCount = 1; ; nCount++) {
        char *pChar = new char[SIZE];
        if (pChar == NULL)
            break;
        if (nCount % 100 == 0) {
            cout << "Blowup (" << (SIZE * nCount) << ")" << endl;
            cout.flush();
        }
    } 
}

